unit ListenDemo1_u;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    NewBottomBtn: TButton;
    DeleteTopBtn: TButton;
    NewTopBtn: TButton;
    SaveToFileBtn: TButton;
    LoadFromFileBtn: TButton;
    DeleteBottomBtn: TButton;
    procedure NewBottomBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    function empty:boolean;
    procedure NewTopBtnClick(Sender: TObject);
    procedure DeleteBottomBtnClick(Sender: TObject);
    procedure DeleteTopBtnClick(Sender: TObject);
    procedure SaveToFileBtnClick(Sender: TObject);
    procedure LoadFromFileBtnClick(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  Form1: TForm1;
  zaehler : integer;

implementation

{$R *.DFM}

function TForm1.Empty : Boolean;
begin
result := ListBox1.Items.count = 0;
end;

procedure TForm1.NewBottomBtnClick(Sender: TObject);
begin
ListBox1.Items.Add('Eintrag '+IntToStr(zaehler));
inc(zaehler);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
zaehler := 0;
end;

procedure TForm1.NewTopBtnClick(Sender: TObject);
begin
ListBox1.Items.Insert(0,'Eintrag '+IntToStr(zaehler));
inc(zaehler);
end;

procedure TForm1.DeleteBottomBtnClick(Sender: TObject);
begin
if not empty then ListBox1.Items.Delete(ListBox1.Items.Count-1);
end;

procedure TForm1.DeleteTopBtnClick(Sender: TObject);
begin
if not empty then ListBox1.Items.Delete(0);
end;

procedure TForm1.SaveToFileBtnClick(Sender: TObject);
begin
ListBox1.Items.SaveToFile('otto.txt');
end;

procedure TForm1.LoadFromFileBtnClick(Sender: TObject);
begin
ListBox1.Items.LoadFromFile('otto.txt');
zaehler := ListBox1.Items.Count;
end;

end.


